# Using the Spark SDK to run data generation

To use the Structural SDK to de-identify data in a Spark SDK workspace, you run a Spark program.

For details about the SDK, go to the [Tonic SDK Javadoc](https://app.tonic.ai/javadocs/).&#x20;

Here is a very basic example of using the SDK to run data generation on a workspace and write the output to a DataFrame:

<pre class="language-scala" data-overflow="wrap"><code class="lang-scala"><strong>// Sets a statistics seed for the data generation
</strong><strong>val baseStatisticsSeed = 489465;
</strong><strong>
</strong><strong>// Identifies the workspace and provides the API token
</strong>val workspace = Workspace.createWorkspace("https://path/to/tonic", "&#x3C;&#x3C;api-token>>", "&#x3C;&#x3C;workspace-id>>", baseStatisticsSeed);

// Retrieves the source data
val sourceDf = spark.read.parquet("s3://parquet/source/users")

// Defines the output in Spark
val processedDf = workspace.processDataframe("users", sourceDf);
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/setting-up-your-database/spark-sdk/using-spark-to-run-de-identification-of-the-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
